tigase.auth.mechanisms

## Class SaslSCRAMSha256

- java.lang.Object
- - tigase.auth.mechanisms.AbstractSasl
  - - tigase.auth.mechanisms.AbstractSaslSCRAM
    - - tigase.auth.mechanisms.SaslSCRAMSha256

- All Implemented Interfaces:
    SaslServer

      public class SaslSCRAMSha256
      extends AbstractSaslSCRAM

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

      `AbstractSaslSCRAM.BindType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ALGO`
    `static String` | `NAME`

    - ### Fields inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

      `DEFAULT_CLIENT_KEY, DEFAULT_SERVER_KEY, LOCAL_CERTIFICATE_KEY, TLS_UNIQUE_ID_KEY`

    - ### Fields inherited from class tigase.auth.mechanisms.AbstractSasl

      `authorizedId, callbackHandler, complete, log, negotiatedProperty, PASSWORD_NOT_VERIFIED_MSG, props, SASL_STRICT_MODE_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaslSCRAMSha256(Map<? super String,?> props, CallbackHandler callbackHandler)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `checkRequestedBindType(AbstractSaslSCRAM.BindType requestedBindType)`

    - ### Methods inherited from class tigase.auth.mechanisms.AbstractSaslSCRAM

      `calculateC, evaluateResponse, getAuthorizationID, getMechanismName, h, hi, hmac, key, normalize, processClientFirstMessage, processClientLastMessage, unwrap, validateBindingsData, wrap, xor`

    - ### Methods inherited from class tigase.auth.mechanisms.AbstractSasl

      `dispose, getNegotiatedProperty, handleCallbacks, isAuthzIDIgnored, isComplete, isEmpty, split`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

    - #### ALGO

          protected static final String ALGO

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SaslSCRAMSha256

          public SaslSCRAMSha256(Map<? super String,?> props,
                                 CallbackHandler callbackHandler)

  - ### Method Detail

    - #### checkRequestedBindType

          protected void checkRequestedBindType(AbstractSaslSCRAM.BindType requestedBindType)
                                         throws SaslException

      Specified by:
        `checkRequestedBindType` in class `AbstractSaslSCRAM`
      Throws:
        `SaslException`

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.